Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class PropertyName

    java.lang.Object
      org.apache.slide.common.PropertyName

public class PropertyName
extends java.lang.Object

This class is a container for the name and namespace of a property.

Version:
  $Revision: 1.3 $

Field Summary
`protected java.lang.String` | `name` The name of the Property.
`protected java.lang.String` | `namespace` The namespace of the Property.

Constructor Summary
`PropertyName(java.lang.String name)` Creates a PropertyName within the `default namespace`.
`PropertyName(java.lang.String name, java.lang.String namespace)` Creates a PropertyName.

Method Summary
`boolean` | `equals(java.lang.Object other)` Returns `true` if `other` is a PropertyName and the name and namespace are equal to this intance' name and namespace.
`java.lang.String` | `getName()` Returns the name of the property.
`java.lang.String` | `getNamespace()` Returns the namespace of the property.
`int` | `hashCode()` Returns the hash code of this instance.
`java.lang.String` | `toString()` Returns a String representation of the PropertyName.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name of the Property.

### namespace

    protected java.lang.String namespace

  The namespace of the Property.

Constructor Detail

### PropertyName

    public PropertyName(java.lang.String name)

  Creates a PropertyName within the `default namespace`.

Parameters:
  `name` - the name of the Property.

### PropertyName

    public PropertyName(java.lang.String name,
                        java.lang.String namespace)

  Creates a PropertyName.

Parameters:
  `name` - the name of the Property.
  `namespace` - the namespace of the Property.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the property.

  Returns:
    the name of the property.

### getNamespace

    public java.lang.String getNamespace()

  Returns the namespace of the property.

  Returns:
    the namespace of the property.

### equals

    public boolean equals(java.lang.Object other)

  Returns `true` if `other` is a PropertyName and the name and namespace are equal to this intance' name and namespace.

  Parameters:
    `other` - the Object to test for equality.
  Returns:
    `true` if the object is equal to this one.

### hashCode

    public int hashCode()

  Returns the hash code of this instance. Due to definition equal objects must have the same hash code.

  Returns:
    the hash code of this instance.

### toString

    public java.lang.String toString()

  Returns a String representation of the PropertyName.

  Returns:
    a String representation of the PropertyName.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD